variable "instance_type" {
  default = "t3.micro"
  type    = string
}

variable "subnets" {
  description = "A map of availability zones to CIDR blocks, which will be set up as subnets."
  type        = map(string)
}

variable "counts" {
  type = number
}

variable "spot" {
  type    = bool
  default = true
}
